Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssLinkedObject

All Superinterfaces:
  IEssBaseObject

All Known Subinterfaces:
  IEssDrillThrough, IEssLinkedPartition

public interface IEssLinkedObject
extends IEssBaseObject

The IEssLinkedObject interface.

Nested Class Summary
`static class` | `IEssLinkedObject.EEssLinkedObjectType` The EEssLinkedObjectType is an enumeration of linked object types.

Method Summary
`java.lang.String` | `getCreatedBy()` Gets the name of the user who created the object.
`java.lang.String` | `getDescription()` Gets the object description.
`int` | `getId()` Gets the object id.
`java.util.Date` | `getLastUpdateTime()` Gets the date and time the object was last modified.
`java.lang.String[]` | `getMemberCombination()` Gets the member combination where this object is linked.
`byte[]` | `getObject()` Retrieves the linked object from server to client, for file object types.
`void` | `getObject(java.lang.String clientFileName)` Retrieves the linked object from server to client, for file object types.
`java.lang.String` | `getObjectName()` Gets the linked object reference for url/file types.
`IEssLinkedObject.EEssLinkedObjectType` | `getType()` Gets the object type.
`void` | `setDescription(java.lang.String description)` Sets the object description.
`void` | `setObjectName(java.lang.String reference)` Sets the linked object reference for url/file types.
`void` | `updatePropertyValues()` Updates the property values.

Method Detail

### getId

    public int getId()
              throws EssException

  Gets the object id.

  Returns:
    The object id.
  Throws:
    `EssException` - if an error occurs.

### getType

    public IEssLinkedObject.EEssLinkedObjectType getType()
                                                  throws EssException

  Gets the object type.

  Returns:
    The object type.
  Throws:
    `EssException` - if an error occurs.

### getDescription

    public java.lang.String getDescription()
                                    throws EssException

  Gets the object description.

  Returns:
    The object description.
  Throws:
    `EssException` - if an error occurs.

### setDescription

    public void setDescription(java.lang.String description)
                        throws EssException

  Sets the object description. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `description` - The object description.
  Throws:
    `EssException` - if an error occurs.

### getObjectName

    public java.lang.String getObjectName()
                                   throws EssException

  Gets the linked object reference for url/file types.

  Returns:
    The object reference.
  Throws:
    `EssException` - if an error occurs.

### setObjectName

    public void setObjectName(java.lang.String reference)
                       throws EssException

  Sets the linked object reference for url/file types. The change will become effective after you invoke updatePropertyValues().

  Parameters:
    `reference` - The object reference.
  Throws:
    `EssException` - if an error occurs.

### getCreatedBy

    public java.lang.String getCreatedBy()
                                  throws EssException

  Gets the name of the user who created the object.

  Returns:
    The creator name.
  Throws:
    `EssException` - if an error occurs.

### getLastUpdateTime

    public java.util.Date getLastUpdateTime()
                                     throws EssException

  Gets the date and time the object was last modified.

  Returns:
    The last modified time.
  Throws:
    `EssException` - if an error occurs.

### getMemberCombination

    public java.lang.String[] getMemberCombination()
                                            throws EssException

  Gets the member combination where this object is linked.

  Returns:
    The member combination.
  Throws:
    `EssException` - if an error occurs.

### updatePropertyValues

    public void updatePropertyValues()
                              throws EssException

  Updates the property values. The changes made to this object via setXXX() methods will become effective only after you invoke updatePropertyValues(). If you need to invoke this method multiple times, make sure to list the linked objects (using IEssDataCell.getLinkedObjects()) before every invokation of this method.

  Throws:
    `EssException` - if an error occurs.

### getObject

    public void getObject(java.lang.String clientFileName)
                   throws EssException

  Retrieves the linked object from server to client, for file object types.

  Parameters:
    `clientFileName` - The file name in the client machine where to retrieve.
  Throws:
    `EssException` - if an error occurs.

### getObject

    public byte[] getObject()
                     throws EssException

  Retrieves the linked object from server to client, for file object types.

  Returns:
    The object as bytes.
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD